Bug 144026 - Incorrect permissions for USB dial-up modem
Summary: Incorrect permissions for USB dial-up modem
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-03 21:20 UTC by Steve Bangert
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 13:19:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Bangert 2005-01-03 21:20:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
USB dial-up modems need the following line added to the #serial+dialup
devices section  of /etc/udev/udev.permissions/50-udev.permissions file.

ttyACM*:root:uucp:0660

Dialup modems won't work (unless root) without it.

Version-Release number of selected component (if applicable):
udev-039-10-FC3.6

How reproducible:
Always

Steps to Reproduce:
1.web browser won't work without proper USB ACM modem permissions
2.
3.
    

Actual Results:  no web browser function

Expected Results:  Web browser should work

Additional info:

Comment 1 James Davis 2005-03-23 19:07:55 UTC
I can't get a permissions file in /etc/udev/permissions.d to be used.

I've got:

[root@prfax permissions.d]# ls -al
total 24
drwxr-xr-x  2 root root 4096 Mar 23 11:20 .
drwxr-xr-x  6 root root 4096 Mar 23 11:23 ..
-rw-r--r--  1 root root 3508 Mar  8 03:04 50-udev.permissions
-rw-r--r--  1 root root  169 Mar 23 11:20 vsifax.permissions
[root@prfax permissions.d]# cat vsifax.permissions
# /etc/udev/udev.permissions:  permission/ownership map for udev

# VSI*FAX MODEM devices
ttyS1:vsifax:vsifax:0660
ttyACM0:vsifax:vsifax:0660
ttyACM1:vsifax:vsifax:0660

After a reboot - the ttyS1 and ACM[01] files are still owned by root
as per the 50-udev.permissions file. It appears that my extra permissions
file doesn't get applied.

Comment 2 Harald Hoyer 2005-03-29 10:54:10 UTC
even if you name it 49-vsifax.permissions ???

Comment 3 James Davis 2005-08-18 15:29:19 UTC
I renamed my script to 49-vsifax.permissions and I'll have to schedule
a reboot to test.

Comment 4 James Davis 2005-08-26 17:27:28 UTC
The rename worked - IMHO the udev manpage wasn't clear enough about this.
Please close.


Note You need to log in before you can comment on or make changes to this bug.